
QGIS Application - Bug report #20110

Bug with Drag and Drop Designer on QGIS 3.2

2018-10-15 02:00 PM - didier peeters

Status: Open

Priority: High

Assignee:

Category: Forms

Affected QGIS version:3.4.2 Regression?: Yes

Operating System: Linux Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27932

Description

Hello,

The Drag and Drop Designer to create forms on QGIS 3.2.3 (Unbuntu Xenial) does not accept to drop items from the 'Available widgets'

to the 'Form Layout'.  Sometimes it even leads to a complete freeze

This issue seems to have appeared with QGis 3.2 .

Qt version used is 5.5 (same for compilation).

See the joined screencast.

History

#1 - 2018-12-06 07:09 PM - Regis Haubourg

- Affected QGIS version changed from 3.2 to 3.4.2

- Priority changed from Normal to High

Same here on ubuntu 16.04. I can move one field and then I have this little "stop" icon on the mouse.  Reloading the project doesn't release the lock.

Restarting QGIS does unlock - but only for one move.

#2 - 2018-12-07 02:17 PM - Giovanni Manghi

- Regression? changed from No to Yes
